---
title: "About Sketchy Maze"
draft: false
---

_Sketchy Maze_ is a "drawing-based maze game" themed around hand-drawn maps
on paper.

![Screenshot of the level editor](/images/lava.png)

You can draw your own custom maps, freehand or with some basic drawing tools,
and then drag and drop some "[doodads](/guidebook/doodads.html)" such as Buttons,
Keys and Doors onto your map to spice it up. You can use any colors you want,
and say which colors should be solid and which are fire, and draw anything you
want. Make your level a castle or a cave, your imagination is the limit!

If the built-in doodads aren't enough, you can also make your own! There's
[documentation in the Guidebook](/guidebook/custom-doodads/index.html) how to
make a custom doodad, and there (will be) some example doodads you can build
[here](https://code.sketchymaze.com/declassified/doodads).

This game is still in **alpha release mode** and it has a few major features
still to add.

# Inspiration

I'm a 90's kid, and when I was growing up in the era of 2D platformer games like
_Sonic the Hedgehog_ and _Super Mario Bros._, I became interested in level design
and would draw my own 'mazes' on paper of a side scrolling platformer type game.
I would borrow ideas from _all_ sorts of videogames I liked, and draw in some
buttons which open a door clear across the level (and I'd draw a little dotted
line connecting the two so I don't forget), draw some trapdoors and lava pits
and slippery slopes and such, and then "play" through the level with my
imagination. I'd show my mazes to others and walk them through how it all
plays out.

When you're just drawing with a pen and paper, the maze can be anything you want.
You can draw a castle or a cave, place little gizmos and traps throughout the
level and create puzzles. Do you want the red pixels to mean "fire" and burn the
player? Or do you want to decorate the tops of "bloody" spikes with red? Either
way, the 'fire' attribute on that color will do the job and you can draw whatever
shape you want for your level hazards.

![Palette editor](https://www.sketchymaze.com/guidebook/images/palette.png)

# _Sketchy Maze_ is a "Forever Project"

I have a [list of features](/features/) I _really_ want for the "1.0" launch of the game, but
I'll plan on continuing development for as long as I find it interesting and will
release free updates to everybody who buys the game just once.

I've always wanted to make a videogame, and always liked to learn about game
design and everything, but never actually made anything worthwhile until
_Sketchy Maze._ Over time, I realized that I don't actually want to build
"a video game," what I wanted was a game _project_. Something I could just work
on and add features to, more of a game "platform," something long-term like
Minecraft.

This page describes the initial set of features planned for the 1.0 and some
ideas I have kicking around further down the road if all goes well.

# Mod Friendly

While the game ships with a [handful of built-in doodads](/guidebook/doodads.html) to
spice up your level, you can also create your own and program them to do
whatever you want, with JavaScript!

# See Also

For more information about _Sketchy Maze_, please see the following links:

* The [Guidebook](/guidebook) site that ships as part of the game includes tons
  of end user documentation and screenshots. Be sure to check it out!
* The [Frequently Asked Questions](/faq) page will offer more information in a
  "Q&A" format.
